Bug 712413 - Cannot find the extended attribute of #11 inode after remount
Summary: Cannot find the extended attribute of #11 inode after remount
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Eryu Guan
URL:
Whiteboard:
Depends On: 662666
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-10 13:49 UTC by RHEL Program Management
Modified: 2018-11-14 16:13 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-131.5.1.el6
Doc Type: Bug Fix
Doc Text:
Deleting the lost+found directory on a file system with inodes of size greater than 128 bytes and reusing inode 11 for a different file caused the extended attributes for inode 11 (which were set before a umount operation) to not be saved after a file system remount. As a result, the extended attributes were lost after the remount. With this update, inodes store their extended attributes under all circumstances.
Clone Of:
Environment:
Last Closed: 2011-07-12 21:13:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0928 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-07-12 21:11:55 UTC

Description RHEL Program Management 2011-06-10 13:49:38 UTC
This bug has been copied from bug #662666 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 8 Martin Prpič 2011-07-12 11:34:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Deleting the lost+found directory on a file system with inodes of size greater than 128 bytes and reusing inode 11 for a different file caused the extended attributes for inode 11 (which were set before a umount operation) to not be saved after a file system remount. As a result, the extended attributes were lost after the remount. With this update, inodes store their extended attributes under all circumstances.

Comment 9 errata-xmlrpc 2011-07-12 21:13:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0928.html


Note You need to log in before you can comment on or make changes to this bug.